Jump to content

converting from AutoCAD 2000 to AutoCAD 2010 !


ncasello

Recommended Posts

I'm using 2010 out of the box and am used to being able to set up my own shortkey commands for example "C" for copy not "CO" ... can anyone tell me where to find where to change this ?

Link to comment
Share on other sites

  • Replies 37
  • Created
  • Last Reply

Top Posters In This Topic

  • ReMark

    10

  • ncasello

    10

  • SLW210

    5

  • rkent

    3

Top Posters In This Topic

Posted Images

Version 2010 ... where can I find how to change the right click settings ... I want it to automatically repeat last command.

and also where to change the size of the "pick box" ?

thanks !

Link to comment
Share on other sites

that looks like the old version... (that I am familar with ) .. but the verison 2010 that i'm using is SO different there is no TOOL/ OPTIONS on the main menu

v2010.jpg

Link to comment
Share on other sites

Click on the arrow next to the big, red letter "A" in the top left hand corner of your screen.

 

Now look in the bottom right hand corner of the window that comes up. Click on the word Options.

Link to comment
Share on other sites

Type MENUBAR, enter, 1 enter.

 

Also you can change the Workspace to Classic, I forget if the pulldown is in the lower right or upper left in 2010.

Link to comment
Share on other sites

Try this out.

 

Here is a lisp routine I wrote that will override the current AutoCad commands.

 

Create just a normal text document and copy and paste the code below into it. Then rename it whatever you want the file name to be and change the file extension to .lsp (i.e. Override.lsp) and then add it to your Startup Suite in your Appload dialog. (See image below.)

 

The code below are the ones I use the most. Some of them are not two letter keyins though.

 

If your wondering what to keyin for each command just use the letters found after defun c; For example defun c:zp would mean you type in zp for zoom previous. You can change to whatever you want. Just change the text after defun c: and leave the rest as is.

 

I hope this helps.

 

Capture.PNG

 

(defun c:fd    () (command "filedia" "1")) ;;;Toggles on file dialog box for dwg file selection.
(defun c:zp    () (command "zoom" "previous"));;;
(defun c:ze    () (command "zoom" "extents"));;;
(defun c:za    () (command "zoom" "all"));;;
(defun c:zw    () (command "zoom" "window"));;;
(defun c:tm    () (command "tilemode" "1")) ;;;Toggles to model space from paper space.
(defun c:tp    () (command "tilemode" "0")) ;;;Toggles to paper space from model space.
(defun c:t2m   () (command "txt2mtxt"));;;Changes Dtext to Mtext.
(defun c:psm   () (command "pagesetup"));;;Opens Pagesetup Manager
(defun c:ins0  () (command "insunits" "0"));;;Sets insunits to zero. (Unitless)
(defun c:ins2  () (command "insunits" "2"));;;Sets insunits to two. (Feet)
(defun c:insds () (command "insunitsdefsource" "0"));;;Sets source content units value
(defun c:insdt () (command "insunitsdeftarget" "0"));;;Sets target drawing units value
(defun c:ldy   () (command "lengthen" "dy"));;;Lengthens a line dynamically
(defun c:lde   () (command "lengthen" "de"));;;Lengthens a line by delta
(defun c:sel   () (command "select"));;;Creates a selection set for using "Previous".
(defun c:mp    () (command "matchprop"));;; Matches properties of selected entity.
(defun c:qa    () (command "qlattach"));;;Attaches Quick Leader to selected Mtext.
(defun c:lc    () (command "laymcur"));;;Sets selected layer to current layer.
(defun c:mpl   () (command "mpolygon"));;;Creates a Map 3D polygon (i.e. color filled polygon.
(defun c:lm    () (command "laymrg"));;;Layer merge.
(defun c:3dp   () (command "3dpoly"));;;3D Polyline.
(defun c:rvc   () (command "revcloud"));;;Revcloud.
(defun c:alo   () (command "layer" "ON" "*" ""));;;Turns on all layers.
(defun c:gmvoff() (command "geomarkervisibility" "0"));;;Turns off geomarker
(defun c:gmvon () (command "geomarkervisibility" "1"));;;Turns on geomarker
(defun c:mii   () (command "mapiinsert"))
(defun c:cs    () (command "chspace"))
(defun c:f0    () (command "fillet" "R" "0"));;;Sets fillet radius to zero
(defun c:vr    () (command "viewres" "y" "20000"))
(defun c:ra    () (command "regenauto" "on"))
(defun c:xs    () (command "xlist"));;;list xref layers
(defun c:mw    () (command "mapwspace" "on"))
(defun c:mbp   () (command "mbuttonpan"))
(defun c:poi   () (command "_pasteorig"))
(defun c:ucsv  () (command "ucs" "v"))
(defun c:ucsw  () (command "ucs" "w"))
(defun c:osz   () (command "osnapz" "1"))
(defun c:oszz  () (command "osnapz" "0"))

Link to comment
Share on other sites

To the right of the Applications menu is the Quick Access Toolbar. There is an arrow at the end of it. Click on it and you get a drop-down menu. Is there an option to Show Menu Bar? If so, click on it. What happens?

Link to comment
Share on other sites

yes. what does it mean? ... i work in a construction office, so the IT department doens't really know about CAD also I'm the only one here using it ! :P you see my dilemma .

Link to comment
Share on other sites

at the risk of being an donkey - You don't need the Menubar. I disable it from every computer in the office, and I do it again if I see it up again. Everything that was found on the Menubar is now found on the Ribbon. I won't lie and say it's always an easy transition, but my personal opinion is that it is so much better than the toolbars and menus.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...